/*******************************************************************************
 * FoxGameMP_BO generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGameMP_BO extends FoxGameMP_DM
    native
    config(Game)
    hidecategories(Navigation,Movement,Collision);

struct native DeadBodyInfo
{
    var Vector Location;
    var int Team;
    var float Time;

    structdefaultproperties
    {
        Location=(X=0.0,Y=0.0,Z=0.0)
        Team=0
        Time=0.0
    }
};

var private transient array<DeadBodyInfo> DeadBodies;
var private float DeadBodyExpirationTime;
var bool bMissionCompleted;

event InitGame(string Options, out string ErrorMessage)
{
    super(FoxGame).InitGame(Options, ErrorMessage);
    WorldInfo.bTraining = true;
    //return;    
}

function EndGame(PlayerReplicationInfo Winner, string Reason)
{
    local PlayerReplicationInfo PRI;

    super(FoxGame).EndGame(Winner, Reason);
    // End:0x22F
    if(Reason == "Triggered from Kismet")
    {
        // End:0x22E
        foreach GameReplicationInfo.PRIArray(PRI,)
        {
            // End:0x22D
            if(PlayerController(PRI.Owner) != none)
            {
                PlayerController(PRI.Owner).OnlineSub.PlayerInterface.ToggleProfileFlag(5);
                // End:0x19C
                if(!class'WorldInfo'.static.IsConsoleBuild())
                {
                    PlayerController(PRI.Owner).OnlineSub.PlayerInterface.UnlockAchievement(0, 1000);
                    // End:0x22D
                    continue;
                }
                // End:0x22D
                if(class'WorldInfo'.static.IsConsoleBuild(8))
                {
                    PlayerController(PRI.Owner).OnlineSub.PlayerInterface.UnlockAchievement(0, 21);
                }
            }            
        }        
    }
    //return;    
}

function TimeLimitReached()
{
    //return;    
}

function NotifyGameHasEnded()
{
    GameReplicationInfo.EndGame();
    bGameEnded = true;
    //return;    
}

function bool CanJoinGame(bool bSpectator, UniqueNetId UniqueId, out string OutErrorMessage)
{
    return false;
    //return ReturnValue;    
}

defaultproperties
{
    bAllowSwitchToSpectate=false
    GameTypeString="Training"
    GameTypeAbbreviatedName="TRAIN"
    bCoopGame=true
    HUDType=class'FoxHUDBO'
    TimeLimit=0
    GameReplicationInfoClass=class'FoxGRI_BO'
    OnlineGameSettingsClass=class'FoxGameSettingsBO'
}